org.apache.xmlgraphics.java2d.color

## Enum RenderingIntent

- java.lang.Object
- - java.lang.Enum<RenderingIntent>
  - - org.apache.xmlgraphics.java2d.color.RenderingIntent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RenderingIntent>

      public enum RenderingIntent
      extends java.lang.Enum<RenderingIntent>

  Enumeration for rendering intents.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE_COLORIMETRIC` Absolute colorimetric rendering intent.
    `AUTO` Automatic rendering intent.
    `PERCEPTUAL` Perceptual rendering intent.
    `RELATIVE_COLORIMETRIC` Relative colorimetric rendering intent.
    `SATURATION` Saturation rendering intent.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RenderingIntent` | `fromICCValue(int value)` Returns the enum value for the given integer rendering intent (as defined by the ICC specification).
    `int` | `getIntegerValue()` Returns an integer value identifying the rendering intent.
    `static RenderingIntent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RenderingIntent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERCEPTUAL

          public static final RenderingIntent PERCEPTUAL

      Perceptual rendering intent. Typical use: scanned images.

    - #### RELATIVE_COLORIMETRIC

          public static final RenderingIntent RELATIVE_COLORIMETRIC

      Relative colorimetric rendering intent. Typical use: vector graphics.

    - #### ABSOLUTE_COLORIMETRIC

          public static final RenderingIntent ABSOLUTE_COLORIMETRIC

      Absolute colorimetric rendering intent. Typical use: logos and solid colors.

    - #### SATURATION

          public static final RenderingIntent SATURATION

      Saturation rendering intent. Typical use: business graphics.

    - #### AUTO

          public static final RenderingIntent AUTO

      Automatic rendering intent. The color profile's intent isn't overridden.

  - ### Method Detail

    - #### values

          public static RenderingIntent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RenderingIntent c : RenderingIntent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RenderingIntent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIntegerValue

          public int getIntegerValue()

      Returns an integer value identifying the rendering intent. This is the same value defined by the ICC specification (0..3) plus one for "auto" (4). (See also `ICC_Profile`.ic*)
      Returns:
        the integer value

    - #### fromICCValue

          public static RenderingIntent fromICCValue(int value)

      Returns the enum value for the given integer rendering intent (as defined by the ICC specification).
      Parameters:
        `value` - the rendering intent as ICC value
      Returns:
        the matching enum

Copyright 1999-2024 The Apache Software Foundation. All Rights Reserved.